LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XLayerManager Interface Referencepublished

This interface makes it possible to access and manage the Layers of a document. More...

`import "XLayerManager.idl";`

Inheritance diagram for XLayerManager:

## Public Member Functions
com::sun::star::drawing::XLayer | insertNewByIndex ([in] long nIndex)
| creates a new Layer
void | remove ([in] com::sun::star::drawing::XLayer xLayer) raises ( com::sun::star::container::NoSuchElementException )
| removes a Layer and all Shapes on this Layer.
void | attachShapeToLayer ([in] com::sun::star::drawing::XShape xShape, [in] com::sun::star::drawing::XLayer xLayer)
| attaches a Shape to the given Layer.
com::sun::star::drawing::XLayer | getLayerForShape ([in] com::sun::star::drawing::XShape xShape)
| queries the Layer that a Shape is attached to
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface makes it possible to access and manage the Layers of a document.

See also
  LayerManager

Developers Guide
  Drawings and Presentations - Layer Handling

## Member Function Documentation

## ◆ attachShapeToLayer()

void attachShapeToLayer | ( | [in] com::sun::star::drawing::XShape | xShape,
|  | [in] com::sun::star::drawing::XLayer | xLayer )

attaches a Shape to the given Layer.

Parameters

  xShape | this is the Shape that will be attached to a Layer
  xLayer | this is the Layer that will be attached to a Shape

## ◆ getLayerForShape()

com::sun::star::drawing::XLayer getLayerForShape | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

queries the Layer that a Shape is attached to

Parameters

  xShape | specifies the Shape for which the layer is requested.

Returns
  the Layer to which the Shape is attached.

## ◆ insertNewByIndex()

com::sun::star::drawing::XLayer insertNewByIndex | ( | [in] long | nIndex | ) |

creates a new Layer

Parameters

  nIndex | the index at which the new layer is inserted

Returns
  the new created Layer

## ◆ remove()

void remove | ( | [in] com::sun::star::drawing::XLayer | xLayer | ) |
raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |

removes a Layer and all Shapes on this Layer.

Parameters

  xLayer | this Layer will be removed and disposed

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XLayerManager.idl